Theme resources and files
Shows a file resource
Returns one of the company’s uploaded files. Available to company admins with the file_resources view permission and to reps. Returns 404 when the file does not belong to the company.
GET
/
api
/
file_resources
/
{id}
Shows a file resource
curl --request GET \
--url https://api.fluid.app/api/file_resources/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/file_resources/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/file_resources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_resource": {
"id": 88214,
"url": "https://cdn.fluid.app/dunder-mifflin/assets/scranton-hero.jpg",
"preview_image_url": "https://cdn.fluid.app/dunder-mifflin/assets/scranton-hero-preview.jpg",
"alt_text": "Dunder Mifflin Scranton branch storefront",
"handle": "scranton-hero",
"content_type": "image/jpeg",
"content_size": 482113,
"content": null,
"relateable_id": 7310,
"relateable_type": "ApplicationTheme",
"metadata": {},
"created_at": "2026-09-08T14:22:31Z",
"updated_at": "2026-09-08T14:22:31Z",
"filename": "scranton-hero.jpg",
"version": "1",
"non_binary": false,
"dam_ready": true,
"dam_processing_status": "ready",
"dam_tags": [
"web"
],
"dam_upload_queued": false
},
"meta": {
"request_id": "4f1c2a9e-7b3d-4e8a-9c61-2d5f8a0b3e17",
"timestamp": "2026-09-22T15:04:12Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Shows a file resource
